Subject: bug#60585: 30.0.50; global-text-scale-adjust shrinks window (was not before), was: Re: bug#52493: 29.0.50; Setting Inconsolata up in init.el makes default face rendered wrong

From: Dmitry Gutov <[email-masked]>
Date: Mon, 27 Feb 2023 03:29:16 +0200

On 24/02/2023 19:54, martin rudalics wrote:
> There's one thing that we haven't checked yet and I don't know how to do
> that.  When you evaluate :height first you get a line height of 30 which
> scaling should reduce to 15 without loss.  When you evaluate :family
> first you scale twice with a loss.  I have no idea whether this has any
> impact.  You can try whether either of the following
> 
> (progn
>    (set-face-attribute 'default nil :family "Inconsolata LGC")
>    (set-face-attribute 'default nil :height 110))
> 
> (progn
>    (set-face-attribute 'default nil :height 110)
>    (set-face-attribute 'default nil :family "Inconsolata LGC"))
> 
> causes a different shrinking behavior but I doubt that it will reveal
> anything useful.  So I ran out of ideas ...

Alas, I'm not seeing much of a change.

"Inconsolata LGC" is "stable" with either.

"InconsolataLGC" reliably shrinks at e.g. 104x37 (GNOME size), again, 
with either.